summaryrefslogtreecommitdiffstats
path: root/bin/chroot-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-04-08 14:04:14 +0200
committerHolger Levsen <holger@layer-acht.org>2017-04-08 14:04:14 +0200
commit125e5c48116a83e939bba49799cd05dbe7c6f848 (patch)
treea3e09dd80b672bcb2eded5b3b8ee8a545946afb8 /bin/chroot-installation.sh
parent51357ed592999c4d4ccddbf0741e5f7221d4126e (diff)
downloadjenkins.debian.net-125e5c48116a83e939bba49799cd05dbe7c6f848.tar.xz
chroot-installation: dont fail if no transitional packages are installed…
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/chroot-installation.sh')
-rwxr-xr-xbin/chroot-installation.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index dd2bd52a..aa9462c8 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -288,7 +288,7 @@ fi
#
if [ "$DISTRO" = "sid" ] ; then
# ignore multiarch-support because the transition will never be finished…
- ( sudo chroot $CHROOT_TARGET dpkg -l | grep -v multiarch-support | grep -i "Transitional" 2>/dev/null ) > $TMPFILE
+ ( sudo chroot $CHROOT_TARGET dpkg -l | grep -v multiarch-support | grep -i "Transitional" 2>/dev/null || true) > $TMPFILE
if [ -s $TMPFILE ] ; then
echo
echo "Warning: Transitional packages found:"